Printago API
POST /v1/sku-variants/prop-values

Create multiple property values

Requires: sku.edit

Request Body

- Bulk create request with property values

BulkCreatePropertyValuesRequest
valuesrequired
object[]
materialValueoptional
object[]
optionValueIdrequired
string
Value from bindingId's option (always required)
pattern: ^[a-z0-9]{24}$
optionValueId2optional
string
Value from bindingId2's option (required if property has bindingId2)
optionValueId3optional
string
Value from bindingId3's option (required if property has bindingId3)
plateQuantitiesValueoptional
Record<string, number>
propertyIdrequired
string
pattern: ^[a-z0-9]{24}$
textValueoptional
string

Example Request

application/json
{
  "values": [
    {
      "optionValueId": "string",
      "propertyId": "string"
    }
  ]
}

Response Schema

Response
value
object[]

Example Response

201 OK — application/json
[
  {
    "propertyId": "string",
    "optionValueId": "string",
    "id": "string",
    "storeId": "string",
    "createdAt": "2026-08-24T03:58:56.348Z",
    "updatedAt": "2026-08-24T03:58:56.348Z"
  }
]